Passer au contenu principal
POST
/
creation
/
canvas
/
terrains
POST TerrainImageFondListeCreerView
curl --request POST \
  --url https://dev.api.formapulse.formafoot.fr/creation/canvas/terrains/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'nom=<string>' \
  --form 'type_sport=<string>' \
  --form type_dimension=terrain \
  --form definir_par_defaut=false
{}

Documentation Index

Fetch the complete documentation index at: https://formapulse.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorisations

Authorization
string
header
requis

Token JWT prefixe par 'JWT '. Exemple : Authorization: JWT eyJ0eXAiOi.... Token obtenu via POST /auth/jwt/create (djoser).

Corps

multipart/form-data

POST /terrain-image-fond (multipart : champs non-fichier uniquement).

Le fichier file est accessible via request.FILES.get('file').

nom
string
requis
Maximum string length: 255
type_sport
string
requis
Maximum string length: 100
type_dimension
enum<string>
requis
Options disponibles:
terrain,
demi-terrain,
terrain-libre
definir_par_defaut
boolean
défaut:false

Réponse

Reponse de succes

The response is of type object.